//ICON CONFIGURATION
.e-invoice-list-item-header-statusicon {
  @extend .p-0;
  @extend .align-self-center;
  @extend .mr-4;

  &-iconframe {
    @extend .rounded-circle;
    @extend .circle-radius;
    @extend .size-48;
    @extend .flex-center !optional;

    &-EXECUTED {
      @extend .e-invoice-list-item-header-statusicon-iconframe;
      @extend .icon-green;
    }
    &-WAITING {
      @extend .e-invoice-list-item-header-statusicon-iconframe;
      @extend .icon-gray;
    }
    &-REJECTED {
      @extend .e-invoice-list-item-header-statusicon-iconframe;
      @extend .icon-red;
    }
  }
  &-icon {
    @extend .fs-16;
    @extend .align-self-center;

    &-REJECTED {
      @extend .e-invoice-list-item-header-statusicon-icon;
      @extend .icon-nlb-ico-e-bills;
    }

    &-EXECUTED {
      @extend .e-invoice-list-item-header-statusicon-icon;
      @extend .icon-nlb-ico-e-bills;
    }
    &-WAITING {
      @extend .e-invoice-list-item-header-statusicon-icon;
      @extend .icon-nlb-ico-e-bills;
    }
  }
}

//WIDGET CLASSES
.e-invoice-list-group {
  @extend .pt-4;
  @extend .transaction-group !optional;
  &-date {
    @extend .transaction-group-date;
    @extend .list-item !optional;
  }
}

.e-invoice-list-item {
  @extend .transaction-item;
  @extend .list-item-shadow;
  @extend .d-flex;
  @extend .flex-column;
  @extend .justify-content-center;
  @extend .mx-0;
  @extend .my-3;

  &-master-wrapper {
    @extend .transaction-item-master-wrapper !optional;
    @extend .middle-content;
  }

  &-header {
    @extend .d-sm-flex;
    //@extend .justify-content-between;
    @extend .d-flex;
    &.opened-details {
      padding: 8px 0;
    }

    &-data {
      @extend .transaction-description;
      width: 100%;

      &-row {
        @extend .d-flex;
        @extend .justify-content-between;
      }

      &-date {
        @extend .transaction-description-date;
      }

      &-purpose {
        @extend .transaction-description-purpose;
      }

      &-creditor {
        @extend .transaction-description-partyname;
      }

      &-amount {
        @extend .transaction-amount;
        @extend .text-right;
        @extend .align-self-center;
        @extend .d-flex;
        @extend .flex-column;
      }

      &-duedate {
        @extend .text-right;
        @extend .align-self-end;
        font-size: 13px;
        color: $nlbGreyColor;
        &-label {
          @extend .pr-1;
        }
      }
    }

    &-arrow {
      @extend .d-none;
      @extend .d-sm-block;
      @extend .align-self-center;
      &-icon {
        &-down {
          @extend .cursor-pointer;
          @extend .d-none;
          @extend .d-sm-block;
          @extend .ml-5;
          @extend .icon-nlb-ico-chevron-down;
        }
        &-up {
          @extend .cursor-pointer;
          @extend .d-none;
          @extend .d-sm-block;
          @extend .ml-5;
          @extend .icon-nlb-ico-chevron-up;
        }
      }
    }
  }
}

.e-invoice-list-item-expanded {
  @extend .expanded-card;
}

.e-invoice-list-item-details {
  @extend .transaction-item-details-wrapper;
  @extend .container-fluid;
  @extend .transaction-item-details;

  &-wrapper {
    @extend .row;
  }

  &-cell {
    @extend .col-12;
    @extend .col-sm-6;
    @extend .col-md-4;
    @extend .col-lg-3;
    @extend .py-3;
    @extend .pl-0;
  }
  &-label {
    @extend .details-label;
  }
  &-value {
    @extend .details-value;
  }
}

.e-invoice-list-item-details-actionbar {
  @extend .row;
  @extend .py-4;
  &-wrapper {
    @extend .col;
    @extend .d-flex;
    @extend .p-0;
    @extend .justify-content-between;
  }
}

.e-invoice-list-item-details-actionbar-button {
  &-pay {
    @extend .btn;
    @extend .btn-primary;
    @extend .positive;
  }
  &-reject {
    @extend .btn;
    @extend .btn-secondary.negative;
    @extend .positive;
    @extend .p-0;
    @extend .pr-3;
  }
  &-mark-as-payed {
    @extend .btn;
    @extend .btn-secondary;
    @extend .positive;
    @extend .p-0;
    @extend .pr-3;
  }
  &-downloadpdf {
    @extend .btn;
    @extend .btn-secondary;
    @extend .positive;
    @extend .p-0;
    @extend .pr-3;
  }
  &-downloadxml {
    @extend .btn;
    @extend .btn-secondary;
    @extend .positive;
    @extend .p-0;
    @extend .pr-3;
  }
}

.e-invoice-list-filters {
  @extend .filter-container !optional;
  @extend .pt-4;
}

.e-invoice-list-filter-button {
  @extend .btn;
  @extend .btn-tertiary;
  &-filtericon {
    @extend .icon-nlb-ico-filter-bold;
  }
}

.e-invoice-list-filters-search {
  @extend .custom-search;
  @extend .w-100;
  &-button {
    @extend .btn;
    @extend .btn-tertiary;
  }
  &-icon {
    @extend .icon-nlb-ico-search-3;
  }
  &-input {
    @extend .input-group;
    @extend .w-100;
    &-addon {
      @extend .input-group-addon;
    }
  }
  &-close {
    @extend .input-group-addon;
    @extend .cursor-pointer;

    &-icon {
      @extend .icon-nlb-ico-close;
    }
  }
}

.e-invoice-list-filters-chipbar {
  @extend .d-flex;
  @extend .align-items-center;
  &-spacing {
    @extend .pt-3;
  }
  &-label {
    @extend .form-control-label;
    @extend .mb-0;
    @extend .pr-2;
  }
}

.e-invoice-list-filters-chipbar-filterchip {
  @extend .label;
  @extend .mr-2;
  @extend .mt-1;
  &-removebutton-icon {
    @extend .icon-nlb-ico-close;
    @extend .pl-4;
    @extend .cursor-pointer;
    @extend .fs-10;
  }
}

.e-invoice-list-filters-modal {
  &-header {
    @extend .modal-header;

    &-title {
      @extend .modal-title;
    }
    &-close {
      @extend .pull-right;
      @extend .cursor-pointer;
      &-icon {
        @extend .icon-nlb-ico-close;
      }
    }
  }

  &-body {
    @extend .modal-content-custom;
    @extend .my-3;
    &-filtergroup-status {
      @extend .d-flex;
      @extend .flex-column;
      &-title {
        @extend .modal-subtitle;
      }
      &-optiongroup {
        @extend .pt-3;
        @extend .col-12;
        @extend .p-0;
      }
      &-option {
        @extend .nlb-radio;
        &-text {
          @extend .radiobtn !optional;
        }
      }
    }

    &-filtergroup-documenttype {
      @extend .my-2;
      @extend .d-flex;
      @extend .flex-column;
      &-title {
        @extend .modal-subtitle;
      }
      &-optiongroup {
        @extend .pt-3;
        @extend .col-12;
        @extend .p-0;
      }
      &-option {
        @extend .nlb-radio;
        &-text {
          @extend .radiobtn !optional;
        }
      }
    }

    &-filtergroup-amount {
      @extend .my-3;
      @extend .d-flex;
      @extend .flex-column;
      &-title {
        @extend .modal-subtitle;
      }

      &-input {
        @extend .my-3;
        @extend .d-flex;
        @extend .flex-column;
        @extend .flex-sm-row;
        &-wrapper {
          @extend .col-12;
          @extend .col-sm-5;
          @extend .p-0;
        }
        &-dash {
          @extend .col-2;
          @extend .fs-60;
          @extend .pt-1;
          @extend .fw-100;
          @extend .text-center;
          @extend .text-gray;
          @extend .d-none;
          @extend .d-sm-block;
        }

        &-from {
          &-label {
            @extend .form-control-label;
          }
          &-textbox {
            @extend .amount-input;
            @extend .form-control;
          }
        }

        &-to {
          &-label {
            @extend .form-control-label;
          }
          &-textbox {
            @extend .amount-input;
            @extend .form-control;
          }
        }

        &-error {
          @extend .col-12;
          @extend .p-0;
          @extend .advanced-filter-invalid-amounts-error;
          &-invalidamounts {
            @extend .invalid-feedback;
            @extend .d-flex;
            @extend .align-items-center;
            &-icon {
              @extend .icon-nlb-ico-info;
            }
          }
        }
      }
    }
  }

  &-footer {
    @extend .modal-footer;
    &-button-apply {
      @extend .btn;
      @extend .btn-primary;
      @extend .btn-apply;
    }
  }
}

.e-invoice-list-reject-modal {
  &-header {
    @extend .modal-header;

    &-title {
      @extend .modal-title;
    }
    &-close {
      @extend .pull-right;
      @extend .cursor-pointer;
      &-icon {
        @extend .icon-nlb-ico-close;
      }
    }
  }
  &-body {
    @extend .modal-content-custom;
    @extend .my-3;
    &-text {
      font-family: Roboto;
      font-size: 14px;
      line-height: 16px;
      color: $nlbMainGreyColor;
    }
    &-input {
      @extend .mt-3;
      &-label {
        @extend .mb-2;
        font-family: Roboto;
        font-size: 14px;
        line-height: 16px;
        font-weight: 500;
        color: $nlbDarkGreyColor;
      }
      &-textarea {
        @extend .form-control;
      }
    }
    &-infobox {
      @extend .d-flex;
      @extend .mt-3;
      &-icon {
        @extend .icon-nlb-ico-info;
        color: $nlbIndigoColor;
      }
      &-text {
        @extend .pl-2;
        font-family: 'Istok Web';
        font-size: 12px;
        line-height: 17px;
        color: $nlbMainGreyColor;
      }
    }
  }
  &-footer {
    @extend .modal-footer;
    &-button {
      &-cancel {
        @extend .btn;
        @extend .btn-secondary-cancel;
      }
      &-proceed {
        @extend .btn;
        @extend .btn-primary;
        @extend .btn-apply;
      }
    }
  }
}

.e-invoice-list-emptyState {
  @extend .pt-5;
  text-align: center;
  font-family: Roboto;
  padding: 16px;

  &-iconframe {
    display: inline-block;
    vertical-align: middle;
    text-align: center;

    font-weight: bold;
    color: #ffffff;

    background: $nlbLightGreyColor;

    width: 80px;
    height: 80px;
    min-width: 80px;
    min-height: 80px;

    border-radius: 50%;

    font-size: 40px;
    margin-bottom: 24px;
    padding: 10px;

    i {
      vertical-align: middle;
    }
  }
  &-title {
    color: $nlbGreyColor;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0.28px;
    line-height: 19px;
    margin-bottom: 16px;
  }

  &-icon {
    @extend .icon-nlb-ico-document;
    color: white;
  }
}

.issuerReferenceText {
  word-wrap: break-word;
}
